/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __JEQ_INFER_NOT_NULL_FAIL_SKEL_H__
#define __JEQ_INFER_NOT_NULL_FAIL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct jeq_infer_not_null_fail {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *m_hash;
	} maps;
	struct {
		struct bpf_program *jeq_infer_not_null_ptr_to_btfid;
	} progs;
	struct {
		struct bpf_link *jeq_infer_not_null_ptr_to_btfid;
	} links;

#ifdef __cplusplus
	static inline struct jeq_infer_not_null_fail *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct jeq_infer_not_null_fail *open_and_load();
	static inline int load(struct jeq_infer_not_null_fail *skel);
	static inline int attach(struct jeq_infer_not_null_fail *skel);
	static inline void detach(struct jeq_infer_not_null_fail *skel);
	static inline void destroy(struct jeq_infer_not_null_fail *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
jeq_infer_not_null_fail__destroy(struct jeq_infer_not_null_fail *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
jeq_infer_not_null_fail__create_skeleton(struct jeq_infer_not_null_fail *obj);

static inline struct jeq_infer_not_null_fail *
jeq_infer_not_null_fail__open_opts(const struct bpf_object_open_opts *opts)
{
	struct jeq_infer_not_null_fail *obj;
	int err;

	obj = (struct jeq_infer_not_null_fail *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = jeq_infer_not_null_fail__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	jeq_infer_not_null_fail__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct jeq_infer_not_null_fail *
jeq_infer_not_null_fail__open(void)
{
	return jeq_infer_not_null_fail__open_opts(NULL);
}

static inline int
jeq_infer_not_null_fail__load(struct jeq_infer_not_null_fail *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct jeq_infer_not_null_fail *
jeq_infer_not_null_fail__open_and_load(void)
{
	struct jeq_infer_not_null_fail *obj;
	int err;

	obj = jeq_infer_not_null_fail__open();
	if (!obj)
		return NULL;
	err = jeq_infer_not_null_fail__load(obj);
	if (err) {
		jeq_infer_not_null_fail__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
jeq_infer_not_null_fail__attach(struct jeq_infer_not_null_fail *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
jeq_infer_not_null_fail__detach(struct jeq_infer_not_null_fail *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *jeq_infer_not_null_fail__elf_bytes(size_t *sz);

static inline int
jeq_infer_not_null_fail__create_skeleton(struct jeq_infer_not_null_fail *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "jeq_infer_not_null_fail";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "m_hash";
	s->maps[0].map = &obj->maps.m_hash;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "jeq_infer_not_null_ptr_to_btfid";
	s->progs[0].prog = &obj->progs.jeq_infer_not_null_ptr_to_btfid;
	s->progs[0].link = &obj->links.jeq_infer_not_null_ptr_to_btfid;

	s->data = (void *)jeq_infer_not_null_fail__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *jeq_infer_not_null_fail__elf_bytes(size_t *sz)
{
	*sz = 6264;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x38\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x72\x61\
\x77\x5f\x74\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x6a\x65\
\x71\x5f\x69\x6e\x66\x65\x72\x5f\x6e\x6f\x74\x5f\x6e\x75\x6c\x6c\x5f\x66\x61\
\x69\x6c\x2e\x63\0\x6a\x65\x71\x5f\x69\x6e\x66\x65\x72\x5f\x6e\x6f\x74\x5f\x6e\
\x75\x6c\x6c\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x62\x74\x66\x69\x64\0\x6d\x5f\x68\
\x61\x73\x68\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x72\x61\
\x77\x5f\x74\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\x04\0\xff\xf1\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x41\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x61\x11\0\0\
\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x68\x11\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x04\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x71\0\x08\0\0\0\0\xb7\
\x60\0\0\0\0\0\0\x7b\xa6\xff\xf8\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\
\xff\xff\xf8\x85\0\0\0\0\0\0\x01\xbf\x80\0\0\0\0\0\0\xbf\x97\0\0\0\0\0\0\x5d\
\x89\0\x01\0\0\0\0\x79\x68\0\0\0\0\0\0\xbf\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\
\0\x08\x04\0\0\x08\x04\0\0\x0b\x40\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\
\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\
\x19\x08\0\0\0\0\0\0\x07\0\0\0\x1d\x08\0\0\0\0\0\0\x08\0\0\0\x23\x01\0\0\0\0\0\
\0\x08\0\0\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x36\0\0\0\x01\0\0\0\0\0\0\
\0\x3b\0\0\0\x01\0\0\0\x40\0\0\0\x47\0\0\0\x05\0\0\0\x80\0\0\0\x4b\0\0\0\x05\0\
\0\0\xc0\0\0\0\x51\x0e\0\0\0\0\0\0\x09\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\
\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x58\0\0\0\x0b\0\0\0\x5c\x0c\0\0\x01\0\0\0\x0c\
\0\0\0\x7c\x11\0\0\0\0\0\0\x0d\xff\xff\xff\xff\0\0\0\x98\x11\0\0\0\0\0\0\x0d\
\xff\xff\xff\xff\0\0\0\xd9\x04\0\0\x1b\0\0\x02\0\0\0\0\xe1\0\0\0\x11\0\0\0\0\0\
\0\0\xe5\0\0\0\x13\0\0\0\x40\0\0\0\xf4\0\0\0\x0b\0\0\0\x80\0\0\0\xfd\0\0\0\x14\
\0\0\0\xc0\0\0\x01\x06\0\0\0\x15\0\0\0\xe0\0\0\x01\x0f\0\0\0\x15\0\0\x01\0\0\0\
\0\x3b\0\0\0\x15\0\0\x01\x20\0\0\x01\x1a\0\0\0\x06\0\0\x01\x40\0\0\x01\x24\0\0\
\0\x15\0\0\x01\x80\0\0\x01\x2e\0\0\0\x15\0\0\x01\xa0\0\0\x01\x31\0\0\0\x18\0\0\
\x01\xc0\0\0\x01\x38\0\0\0\x02\0\0\x02\0\0\0\x01\x42\0\0\0\x15\0\0\x02\x20\0\0\
\x01\x52\0\0\0\x15\0\0\x02\x40\0\0\x01\x64\0\0\0\x15\0\0\x02\x60\0\0\x01\x7e\0\
\0\0\x19\0\0\x02\x80\0\0\x01\x82\0\0\0\x1a\0\0\x02\xc0\0\0\x01\x88\0\0\0\x1c\0\
\0\x03\0\0\0\x01\x8d\0\0\0\x1d\0\0\x03\x80\0\0\x01\x98\0\0\0\x1e\0\0\x08\0\0\0\
\x01\x9f\0\0\0\x1e\0\0\x08\x40\0\0\x01\xa7\0\0\0\x23\0\0\x08\x80\0\0\x01\xac\0\
\0\0\x2b\0\0\x09\x80\0\0\x01\xb9\0\0\0\x1e\0\0\x0a\x80\0\0\x01\xc2\0\0\0\x33\0\
\0\x0a\xc0\0\0\x01\xc8\0\0\0\x38\0\0\x0b\x20\0\0\x01\xd7\0\0\0\x38\0\0\x0b\x28\
\0\0\0\0\x02\0\0\0\0\0\0\x12\0\0\0\0\x0a\0\0\0\0\0\0\x3c\0\0\0\0\x02\0\0\0\0\0\
\0\x10\0\0\x01\xde\x06\0\0\x22\0\0\0\x04\0\0\x01\xeb\0\0\0\0\0\0\x01\xff\0\0\0\
\x01\0\0\x02\x11\0\0\0\x02\0\0\x02\x24\0\0\0\x03\0\0\x02\x3c\0\0\0\x04\0\0\x02\
\x5a\0\0\0\x05\0\0\x02\x73\0\0\0\x06\0\0\x02\x8d\0\0\0\x07\0\0\x02\xa6\0\0\0\
\x08\0\0\x02\xc0\0\0\0\x09\0\0\x02\xd6\0\0\0\x0a\0\0\x02\xf3\0\0\0\x0b\0\0\x03\
\x09\0\0\0\x0c\0\0\x03\x24\0\0\0\x0d\0\0\x03\x3e\0\0\0\x0e\0\0\x03\x52\0\0\0\
\x0f\0\0\x03\x67\0\0\0\x10\0\0\x03\x7b\0\0\0\x11\0\0\x03\x8f\0\0\0\x12\0\0\x03\
\xa5\0\0\0\x13\0\0\x03\xcc\0\0\0\x13\0\0\x03\xe8\0\0\0\x14\0\0\x04\x09\0\0\0\
\x15\0\0\x04\x2c\0\0\0\x16\0\0\x04\x3f\0\0\0\x17\0\0\x04\x52\0\0\0\x18\0\0\x04\
\x6a\0\0\0\x19\0\0\x04\x83\0\0\0\x1a\0\0\x04\x9b\0\0\0\x1b\0\0\x04\xb0\0\0\0\
\x1c\0\0\x04\xcb\0\0\0\x1d\0\0\x04\xe5\0\0\0\x1e\0\0\x04\xff\0\0\0\x1f\0\0\x05\
\x19\0\0\0\x20\0\0\x05\x33\x08\0\0\0\0\0\0\x16\0\0\x05\x37\x08\0\0\0\0\0\0\x17\
\0\0\x05\x3d\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x3e\0\0\0\0\
\x02\0\0\0\0\0\0\x3d\0\0\0\0\x02\0\0\0\0\0\0\x40\0\0\x05\x4a\x01\0\0\0\0\0\0\
\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x04\0\0\0\x10\0\0\0\
\0\x02\0\0\0\0\0\0\x3f\0\0\x05\x4f\x08\0\0\0\0\0\0\x1f\0\0\0\0\x04\0\0\x01\0\0\
\0\x08\0\0\x05\x5a\0\0\0\x20\0\0\0\0\0\0\x05\x62\x08\0\0\0\0\0\0\x21\0\0\x05\
\x66\x08\0\0\0\0\0\0\x22\0\0\x05\x6c\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\x05\
\x76\x04\0\0\x03\0\0\0\x20\0\0\x05\x82\0\0\0\x24\0\0\0\0\0\0\x05\x87\0\0\0\x25\
\0\0\0\x40\0\0\x05\x8d\0\0\0\x27\0\0\0\xc0\0\0\x05\x92\x08\0\0\0\0\0\0\x1e\0\0\
\x05\xa0\x04\0\0\x02\0\0\0\x10\0\0\x05\xaa\0\0\0\x26\0\0\0\0\0\0\x05\xaf\0\0\0\
\x26\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x25\0\0\x05\xb4\x08\0\0\0\0\0\0\x28\0\0\
\0\0\x02\0\0\0\0\0\0\x29\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\0\
\x02\0\0\0\0\0\0\x23\0\0\x05\xc0\x04\0\0\x04\0\0\0\x20\0\0\x01\xc2\0\0\0\x24\0\
\0\0\0\0\0\x05\xc6\0\0\0\x2c\0\0\0\x40\0\0\x05\xd0\0\0\0\x30\0\0\0\x60\0\0\x05\
\xd4\0\0\0\x25\0\0\0\x80\0\0\x05\xde\x08\0\0\0\0\0\0\x2d\0\0\x05\xed\x04\0\0\
\x01\0\0\0\x04\0\0\x05\xfa\0\0\0\x2e\0\0\0\0\0\0\x06\x03\x08\0\0\0\0\0\0\x2f\0\
\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x06\x13\0\0\0\x02\0\0\0\0\0\0\x06\x18\x04\0\0\
\x01\0\0\0\x04\0\0\x06\x2e\0\0\0\x31\0\0\0\0\0\0\x06\x33\x08\0\0\0\0\0\0\x32\0\
\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x05\x5a\0\0\0\x02\0\0\0\0\0\0\0\0\x04\0\0\x04\
\0\0\0\x0c\0\0\x06\x13\0\0\0\x34\0\0\0\0\0\0\0\x36\0\0\0\x37\0\0\0\x20\0\0\x06\
\x3c\0\0\0\x38\0\0\0\x40\0\0\x06\x42\0\0\0\x38\0\0\0\x48\0\0\x06\x50\x08\0\0\0\
\0\0\0\x35\0\0\x06\x5b\x04\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x36\0\0\0\0\0\0\0\0\
\x05\0\0\x01\0\0\0\x04\0\0\x06\x64\0\0\0\x2d\0\0\0\0\0\0\x06\x6a\x06\0\0\x20\0\
\0\0\x04\0\0\x06\x78\0\0\0\0\0\0\x06\x8d\0\0\0\x01\0\0\x06\xa9\0\0\0\x02\0\0\
\x06\xbe\0\0\0\x03\0\0\x06\xd6\0\0\0\x04\0\0\x06\xee\0\0\0\x05\0\0\x07\x07\0\0\
\0\x06\0\0\x07\x19\0\0\0\x07\0\0\x07\x32\0\0\0\x08\0\0\x07\x4b\0\0\0\x09\0\0\
\x07\x65\0\0\0\x0a\0\0\x07\x7a\0\0\0\x0b\0\0\x07\x90\0\0\0\x0c\0\0\x07\xa7\0\0\
\0\x0d\0\0\x07\xbe\0\0\0\x0e\0\0\x07\xd3\0\0\0\x0f\0\0\x07\xef\0\0\0\x10\0\0\
\x08\x04\0\0\0\x11\0\0\x08\x21\0\0\0\x12\0\0\x08\x40\0\0\0\x13\0\0\x08\x5c\0\0\
\0\x14\0\0\x08\x75\0\0\0\x15\0\0\x08\x90\0\0\0\x16\0\0\x08\xad\0\0\0\x17\0\0\
\x08\xc9\0\0\0\x18\0\0\x08\xef\0\0\0\x19\0\0\x09\x0c\0\0\0\x1a\0\0\x09\x22\0\0\
\0\x1b\0\0\x09\x3b\0\0\0\x1c\0\0\x09\x4d\0\0\0\x1d\0\0\x09\x5f\0\0\0\x1e\0\0\
\x09\x77\0\0\0\x1f\0\0\x09\x8d\x08\0\0\0\0\0\0\x39\0\0\x09\x92\x01\0\0\0\0\0\0\
\x01\x04\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x04\0\0\0\x04\0\0\
\x09\x98\x0e\0\0\0\0\0\0\x3a\0\0\0\x01\0\0\x09\xa1\x07\0\0\0\0\0\0\0\0\0\x01\
\x7e\x07\0\0\0\0\0\0\0\0\0\x09\xad\x07\0\0\0\0\0\0\0\0\0\x09\xb8\x07\0\0\0\0\0\
\0\0\0\0\x09\xc7\x07\0\0\0\0\0\0\0\0\0\x0b\x2a\x0f\0\0\x01\0\0\0\x04\0\0\0\x3b\
\0\0\0\0\0\0\0\x04\0\0\x0b\x32\x0f\0\0\x01\0\0\0\x20\0\0\0\x0a\0\0\0\0\0\0\0\
\x20\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\
\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\
\x6d\x5f\x68\x61\x73\x68\0\x63\x74\x78\0\x6a\x65\x71\x5f\x69\x6e\x66\x65\x72\
\x5f\x6e\x6f\x74\x5f\x6e\x75\x6c\x6c\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x62\x74\
\x66\x69\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x52\x38\x20\
\x69\x6e\x76\x61\x6c\x69\x64\x20\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\x20\
\x27\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\0\x62\
\x70\x66\x5f\x6d\x61\x70\0\x6f\x70\x73\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\
\x5f\x6d\x65\x74\x61\0\x73\x65\x63\x75\x72\x69\x74\x79\0\x6d\x61\x70\x5f\x74\
\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\
\x69\x7a\x65\0\x6d\x61\x70\x5f\x65\x78\x74\x72\x61\0\x6d\x61\x70\x5f\x66\x6c\
\x61\x67\x73\0\x69\x64\0\x72\x65\x63\x6f\x72\x64\0\x6e\x75\x6d\x61\x5f\x6e\x6f\
\x64\x65\0\x62\x74\x66\x5f\x6b\x65\x79\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\
\x74\x66\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\
\x5f\x76\x6d\x6c\x69\x6e\x75\x78\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\
\x5f\x69\x64\0\x62\x74\x66\0\x6f\x62\x6a\x63\x67\0\x6e\x61\x6d\x65\0\x66\x69\
\x65\x6c\x64\x5f\x6f\x66\x66\x73\0\x72\x65\x66\x63\x6e\x74\0\x75\x73\x65\x72\
\x63\x6e\x74\0\x77\x6f\x72\x6b\0\x66\x72\x65\x65\x7a\x65\x5f\x6d\x75\x74\x65\
\x78\0\x77\x72\x69\x74\x65\x63\x6e\x74\0\x6f\x77\x6e\x65\x72\0\x62\x79\x70\x61\
\x73\x73\x5f\x73\x70\x65\x63\x5f\x76\x31\0\x66\x72\x6f\x7a\x65\x6e\0\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x50\x52\x4f\x47\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\x5f\x41\x52\x52\
\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\
\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x50\x45\x52\x43\x50\x55\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\x5f\x54\x52\x41\x43\x45\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\
\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\
\x52\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x4c\x52\x55\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x50\x4d\x5f\x54\x52\x49\x45\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x52\x41\x59\x5f\x4f\
\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x48\x41\x53\x48\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x43\x50\x55\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x58\x53\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x48\x41\x53\x48\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\
\x52\x41\x47\x45\x5f\x44\x45\x50\x52\x45\x43\x41\x54\x45\x44\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\
\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\x45\
\x55\x53\x45\x50\x4f\x52\x54\x5f\x53\x4f\x43\x4b\x41\x52\x52\x41\x59\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x43\
\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x51\x55\x45\x55\x45\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\x5f\x48\x41\x53\
\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\
\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\
\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x49\x4e\x4f\x44\x45\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x54\x41\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x42\x4c\x4f\x4f\x4d\x5f\
\x46\x49\x4c\x54\x45\x52\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x55\x53\x45\x52\x5f\x52\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x75\
\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x63\x68\x61\x72\0\x61\x74\x6f\x6d\x69\x63\x36\x34\x5f\x74\0\x63\x6f\x75\
\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x77\x6f\x72\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x64\x61\x74\x61\0\
\x65\x6e\x74\x72\x79\0\x66\x75\x6e\x63\0\x61\x74\x6f\x6d\x69\x63\x5f\x6c\x6f\
\x6e\x67\x5f\x74\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\x78\x74\0\x70\
\x72\x65\x76\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\x63\x5f\x74\0\x6d\x75\x74\x65\
\x78\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\x71\0\x77\x61\x69\x74\x5f\
\x6c\x69\x73\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\
\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\
\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6c\x6f\
\x63\x6b\0\x6f\x70\x74\x69\x6d\x69\x73\x74\x69\x63\x5f\x73\x70\x69\x6e\x5f\x71\
\x75\x65\x75\x65\0\x74\x61\x69\x6c\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x6a\x69\
\x74\x65\x64\0\x78\x64\x70\x5f\x68\x61\x73\x5f\x66\x72\x61\x67\x73\0\x73\x70\
\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x6c\
\x6f\x63\x6b\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x45\x54\
\x5f\x46\x49\x4c\x54\x45\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\x5f\x4b\x50\x52\x4f\x42\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\x43\x4c\x53\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\x41\x43\x54\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\
\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x58\x44\x50\
\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\
\x45\x56\x45\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x43\x47\x52\x4f\x55\x50\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x49\x4e\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x4f\x55\x54\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x58\
\x4d\x49\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4f\
\x43\x4b\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x53\x4b\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x44\x45\x56\x49\x43\x45\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x4d\x53\x47\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\x41\x43\
\x45\x50\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\x5f\x41\x44\x44\x52\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x53\x45\x47\
\x36\x4c\x4f\x43\x41\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x4c\x49\x52\x43\x5f\x4d\x4f\x44\x45\x32\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x52\x45\x55\x53\x45\x50\x4f\x52\x54\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x46\x4c\x4f\x57\x5f\x44\
\x49\x53\x53\x45\x43\x54\x4f\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x59\x53\x43\x54\x4c\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\x41\x43\
\x45\x50\x4f\x49\x4e\x54\x5f\x57\x52\x49\x54\x41\x42\x4c\x45\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\
\x43\x4b\x4f\x50\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x54\x52\x41\x43\x49\x4e\x47\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x45\x58\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x4c\x53\x4d\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x53\x4b\x5f\x4c\x4f\x4f\x4b\x55\x50\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x62\x6f\x6f\x6c\0\
\x5f\x42\x6f\x6f\x6c\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x6f\x70\x73\0\x62\x74\x66\x5f\x72\x65\x63\x6f\x72\x64\0\x62\x74\
\x66\x5f\x66\x69\x65\x6c\x64\x5f\x6f\x66\x66\x73\0\x6f\x62\x6a\x5f\x63\x67\x72\
\x6f\x75\x70\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x33\x36\x38\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x33\x36\x38\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6a\x65\x71\x5f\x69\x6e\
\x66\x65\x72\x5f\x6e\x6f\x74\x5f\x6e\x75\x6c\x6c\x5f\x66\x61\x69\x6c\x2e\x63\0\
\x69\x6e\x74\x20\x6a\x65\x71\x5f\x69\x6e\x66\x65\x72\x5f\x6e\x6f\x74\x5f\x6e\
\x75\x6c\x6c\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x62\x74\x66\x69\x64\x28\x76\x6f\
\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x20\x2a\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x20\x3d\x20\x6d\
\x61\x70\x2d\x3e\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x5f\x6d\x65\x74\x61\x3b\0\
\x09\x75\x36\x34\x20\x6b\x65\x79\x20\x3d\x20\x30\x2c\x20\x72\x65\x74\x20\x3d\
\x20\x30\x2c\x20\x2a\x76\x61\x6c\x3b\0\x09\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x6d\x61\
\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\
\x69\x6c\x65\x28\x22\x72\x38\x20\x3d\x20\x25\x5b\x76\x61\x6c\x5d\x3b\x5c\x6e\
\x22\0\x09\x72\x65\x74\x75\x72\x6e\x20\x72\x65\x74\x3b\0\x30\x3a\x31\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x3f\x72\x61\x77\x5f\x74\x70\0\0\0\
\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x7c\0\0\0\x90\0\
\0\0\x1c\0\0\0\x08\0\0\x0b\x38\0\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\x10\0\0\x0b\
\x38\0\0\0\x07\0\0\0\0\0\0\x09\xd2\0\0\x0a\x55\0\0\x48\0\0\0\0\x10\0\0\x09\xd2\
\0\0\x0a\x84\0\0\x54\x23\0\0\0\x20\0\0\x09\xd2\0\0\x0a\xb6\0\0\x58\x06\0\0\0\
\x30\0\0\x09\xd2\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\x09\xd2\0\0\x0a\xd3\0\0\x60\x08\
\0\0\0\x40\0\0\x09\xd2\0\0\x0a\xfa\0\0\x84\x02\0\0\0\x60\0\0\x09\xd2\0\0\x0b\
\x19\0\0\xa4\x02\0\0\0\x10\0\0\x0b\x38\0\0\0\x01\0\0\0\x10\0\0\0\x10\0\0\x0b\
\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x8b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x90\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x60\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\xd0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\xd8\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\x71\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xf8\0\
\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\x7d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\
\x13\x5c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x82\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\x68\0\0\0\0\0\0\0\xcc\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct jeq_infer_not_null_fail *jeq_infer_not_null_fail::open(const struct bpf_object_open_opts *opts) { return jeq_infer_not_null_fail__open_opts(opts); }
struct jeq_infer_not_null_fail *jeq_infer_not_null_fail::open_and_load() { return jeq_infer_not_null_fail__open_and_load(); }
int jeq_infer_not_null_fail::load(struct jeq_infer_not_null_fail *skel) { return jeq_infer_not_null_fail__load(skel); }
int jeq_infer_not_null_fail::attach(struct jeq_infer_not_null_fail *skel) { return jeq_infer_not_null_fail__attach(skel); }
void jeq_infer_not_null_fail::detach(struct jeq_infer_not_null_fail *skel) { jeq_infer_not_null_fail__detach(skel); }
void jeq_infer_not_null_fail::destroy(struct jeq_infer_not_null_fail *skel) { jeq_infer_not_null_fail__destroy(skel); }
const void *jeq_infer_not_null_fail::elf_bytes(size_t *sz) { return jeq_infer_not_null_fail__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
jeq_infer_not_null_fail__assert(struct jeq_infer_not_null_fail *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __JEQ_INFER_NOT_NULL_FAIL_SKEL_H__ */
